Subject: Re: bug#32599: 25.2; Feature request: input PUA characters by name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Dec 2020 12:31:12 +0200

On December 31, 2020 11:31:32 AM GMT+02:00, [email-masked] wrote:
> On Thu, Dec 31 2020 at 11:06 +02, Eli Zaretskii wrote:
> 
> [...]
> 
> > OK, it wasn't clear that you want to add MUFI codepoints.
> >
> > However, if that is the intent, I think we should first discuss
> > whether we want to add PUA codepoints defined by the different
> > initiatives, and if so, which ones.  MUFI is not the only such
> > collections, there are others.
> 
> Correct, e.g. the character set of JuniusX font which uses plane 15
> (https://github.com/psb1558/Junicode-New/discussions/44)
> 
> > We could instead wait until these codepoints are incorporated into
> the
> > Unicode Standard (as already happened with some MUFI codepoints).
> 
> Some of them will never be accepted by Unicode because they violate
> their principle.
> 
> > Or we might decide that we want to add some infrastructure which
> could
> > be used by users to add support for ranges of PUA without adding
> that
> > by default.
> 
> That's what I have in mind from the very beginning.

Well, your message talked about adding names for these codepoints, not about adding infrastructure.  Apologies for reading that too literally.